Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002279Frama-CPlug-in > value analysispublic2017-02-10 11:272017-05-31 19:05
ReporterMax P. 
Assigned Toyakobowski 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C 14 Silicon 
Target VersionFrama-C 15 PhosphorusFixed in VersionFrama-C 15 Phosphorus 
Summary0002279: EVA analysis does not start with click on "Execution" button.
DescriptionEVA analysis does not start with click on "Execution" button. But if select -val option it does it.
User have to click on "Run" button to start EVA analysis. This is unusual behavior.
Steps To Reproduce1. [Customize EVA analysis]
2. Click on "Execution" button.
3. Verify that analysis did not started.
4. Select -val option.
 
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006357)
Max P. (reporter)
2017-02-10 11:32

I forgot to add a step:
5. Click on "Execution" button.
(0006360)
yakobowski (manager)
2017-02-20 11:34

This is by design, although I see why this might be misleading. The -eva option will disappear in the next version of Frama-C (because it won't be possible to deactivate it), so only the -val option will remain in the GUI. Thanks for the feedback, though.

- Issue History
Date Modified Username Field Change
2017-02-10 11:27 Max P. New Issue
2017-02-10 11:27 Max P. Status new => assigned
2017-02-10 11:27 Max P. Assigned To => yakobowski
2017-02-10 11:32 Max P. Note Added: 0006357
2017-02-20 11:34 yakobowski Note Added: 0006360
2017-03-06 11:36 yakobowski Target Version => Frama-C 15 Phosphorus
2017-03-07 23:53 yakobowski Status assigned => resolved
2017-03-07 23:53 yakobowski Resolution open => fixed
2017-05-31 19:04 signoles Fixed in Version => Frama-C 15 Phosphorus
2017-05-31 19:05 signoles Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker